# norootforbuild
%define pkg_name    propro
%define         php_version %(php-config --version 2>/dev/null)
%if "%{php_version}" >= "5.7"
%define         my_version 2.0.0
%define         upstream 1
%else
%define         my_version 1.0.0
%define         upstream 0
%endif

#
Name: php5-propro
Version: %{my_version}
Release: 4.4
#
License: PHP
Group: Productivity/Networking/Web/Servers
#
BuildRoot: %{_tmppath}/%{pkg_name}-%{my_version}-build
BuildRequires: php5-devel


#
URL: http://pecl.php.net/propro
Source: http://pecl.php.net/package/propro/%{pkg_name}-%{my_version}.tgz
Summary: pecl_http's persistent handle and resource factory API

%description

	A reusable split-off of pecl_http's persistent handle and resource factory API.

Authors:
---------

	Michael Wallner

%prep

%setup -q -n %{pkg_name}-%{my_version}

%{__mkdir} %{name}

%build
/usr/bin/phpize
pushd %{name}

CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif

export CFLAGS
export CXXFLAGS

../configure

%{__make} %{?jobs:-j%jobs}
popd

%install

%makeinstall -C %{name} INSTALL_ROOT=%{buildroot}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php5/conf.d
echo "; comment out next line to disable propro extension in php" > %{buildroot}%{_sysconfdir}/php5/conf.d/propro.ini
echo 'extension = propro.so' >> %{buildroot}%{_sysconfdir}/php5/conf.d/propro.ini


%clean

%{__rm} -rf %{buildroot}

%files
%defattr(644,root,root,755)
%{_libdir}/php5/extensions/propro.so
%config(noreplace) %{_sysconfdir}/php5/conf.d/propro.ini
%doc CREDITS
%dir %{_includedir}/php5
%dir %{_includedir}/php5/ext
%dir %{_includedir}/php5/ext/propro
%{_includedir}/php5/ext/propro/php_propro.h

%changelog
* Tue Jan 19 2016 cs@linux-administrator.com
- update to version 2.0.0
* Fri Apr 10 2015 cs@linux-administrator.com
- initial package
